Performance, pipeline & forecast
Dashboard report data
Runs the report with your permissions: data = {chart, kind, labels, series: [{n, c, v}], colors?, total, total_s, unit, insight, goal_pct?, delta?, cols?, table?} — the same numbers as the web chart.
Authorization
AuthorizationheaderrequiredBearer token: API key (sk_…), OAuth access token (mcp_…) or mobile session (xk_…).
Module: reportsScope:
crm.readPath parameters
idintegerrequiredDashboard id.
widstringrequiredReport id (on the board).
Query parameters
rangestringoptionalDate range.
Errors
| HTTP | error | Meaning |
|---|---|---|
404 | not_found | Record not found. |
403 | module | The module is off in the licence or for the user. |
Request
curl https://ornek.solk.app/api/v1/dashboards/{id}/w/{wid} \
-H "Authorization: Bearer $SOLK_API_KEY"const res = await fetch("https://ornek.solk.app/api/v1/dashboards/{id}/w/{wid}", {
headers: {
Authorization: `Bearer ${process.env.SOLK_API_KEY}`,
},
});
const data = await res.json();import os, requests
r = requests.get(
"https://ornek.solk.app/api/v1/dashboards/{id}/w/{wid}",
headers={"Authorization": f"Bearer {os.environ['SOLK_API_KEY']}"},
)
print(r.json())Response